import request from '@/utils/request'
// 选科报名接口

// 学生获取自选专业及匹配情况
export function getOptionalMajors(params) {
  return request({
    url: '/front/elective/enroll/getOptionalMajors',
    method: 'get',
    params
  })
}

// 学生获取选科状态数据，得到是每个组合最终状态和结果
export function getPrimaryElectivesModels(params) {
  return request({
    url: '/front/elective/enroll/getPrimaryElectives',
    method: 'get',
    params
  })
}


// 学生获取选科状态数据，得到是每个组合最终状态和结果
export function getData(params) {
  return request({
    url: '/mock/front/elective/studentElectiveModels',
    method: 'get',
    params
  })
}

// 学生获取评测推荐专业
export function getRecommendMajor(params) {
  return request({
    url: '/front/elective/enroll/getTestMajors',
    method: 'get',
    params
  })
}







